Subject: Re: [PATCH v2] MyFirstContribution: add avenues for getting help

From: SZEDER Gábor <[email-masked]>
Date: Thu, 21 Nov 2019 00:40:27 +0100

On Wed, Nov 20, 2019 at 12:41:56PM +0100, Johannes Schindelin wrote:
> Hi Gábor,
> 
> On Tue, 19 Nov 2019, SZEDER Gábor wrote:
> 
> > On Tue, Nov 19, 2019 at 10:29:43PM +0100, Johannes Schindelin wrote:
> > >
> > > On Tue, 19 Nov 2019, SZEDER Gábor wrote:
> > >
> > > > On Mon, Nov 18, 2019 at 01:45:19PM -0800, Emily Shaffer wrote:
> > > >
> > > > > I don't mind the idea of pushing folks to ask on the mentoring list
> > > > > first. It's pretty well attended already - just now I count 16 list
> > > > > members, a pretty significant majority of which are project veterans.
> > > > > I have no problem suggesting newbies ask their questions, which others
> > > > > probably had and solved before them, in a space separate from the main
> > > > > mailing list.
> > > > >
> > > > > Of course if you want to encourage newbies to ask in any of these
> > > > > three venues, weighted equally, I can change the language. But
> > > > > suggesting the main list as a last resort was intentional.
> > > >
> > > > git@vger is the ultimate source of all wisdom :) and it is openly
> > > > accessible for anyone for writing,
> > >
> > > ... except people with an @outlook.com address (all of their emails will
> > > bounce) and people who do not know how to suppress HTML in their emails
> > > (which I believe constitutes the vast majority)...

My interpretation of the above paragraph was that the "(which I
believe constitutes the vast majority)" part refers only to the
"people who do not know how to suppress HTML in their emails", but not
to the aforementioned "people with an @outlook.com address" (who had
their own subsentence in parentheses).

And with that statement in itself I completely agree: I would expect
that that "vast majority", i.e. the number of people who don't know
how to suppress HTML in their emails is in the billions, though I have
no data on that.

> > And I believe that that "vast majority" will never try to contribute
> > to Git, and thus doesn't matter.

I could have worded this more carefully, e.g. along the lines of:

  I believe that the vast majority of people will never contribute to
  Git anyway, therefore trying to give more weight to your argument
  with that "vast majority" doesn't make it any stronger.

> Yes, this is a tautology, because by that very expectation you make that
> happen. It's kind of a perfect example of a self-fulfilling prophecy.

Call it as you wish, I think it's simply inconceivable that the vast
majority of people will contribute to Git.

[Snipping the parts that appear to stem from the misunderstanding that
I tried to clarify above, in the hope that we can focus on the more
important point, which is:]

> > > > reading, and searching.

I would like to emphasize these last words of the sentence that was
cut in two so unfortunately, because I'm afraid that they didn't get
the attention they deserve although they are of fundamental
importance.

If someone reaches out to us with a problem, and we can provide a
solution, then it's best to have that solution openly accessible for
the benefit of everyone else.  IMO this far outweighs any issues with
HTML-formatted emails or @outlook.com email addresses, and on its own
justifies putting git@vger first.  That way even those who stop
reading at the first email address will choose what's most beneficial
for the greater good.  If someone for some reason still prefers
otherwise and/or due to some technical limitation can't post to
git@vger, then they could still consider the other two venues.

> > > > Therefore these three venues cannot be weighted
> > > > equally, but git@vger should be the explicitly preferred venue.  Only if
> > > > the newbie has some other preferences should the other two be
> > > > considered; e.g. if more interactive, chatty communication is preferred,
> > > > then try #git-devel.